org.faceless.pdf2

## Class SignatureHandler.Placeholder

- java.lang.Object
- - org.faceless.pdf2.SignatureHandler.Placeholder

- All Implemented Interfaces:
    Cloneable
  Enclosing class:
    SignatureHandler

      public static class SignatureHandler.Placeholder
      extends Object

  A Placeholder can be used to mark a point in the PDF which needs to be updated after the signature has been applied
  Since:
    2.11.12

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Placeholder(int length)` Create a new Placeholder of the specified length, but with no content set

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `clone()`
    `byte[]` | `getContent()` Get the content, as set by `setContent(byte[])`
    `int` | `getLength()` Get the length of this object
    `long` | `getOffset()` Get the offset into the file of this object
    `void` | `setContent(byte[] content)` Set the content for this Placeholder.
    `void` | `setDigestable(boolean digestable)` Set whether this Placeholder should return true from `isDigestable()`
    `void` | `setLength(int length)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Placeholder

          public Placeholder(int length)

      Create a new Placeholder of the specified length, but with no content set

  - ### Method Detail

    - #### setContent

          public void setContent(byte[] content)

      Set the content for this Placeholder. If set to not-null in the call to `SignatureHandler.preDigest(long, java.util.Map<java.lang.String, org.faceless.pdf2.SignatureHandler.Placeholder>)`, the content will be included in the digest calculation.

    - #### getContent

          public byte[] getContent()

      Get the content, as set by `setContent(byte[])`

    - #### getLength

          public int getLength()

      Get the length of this object

    - #### setLength

          public void setLength(int length)

    - #### getOffset

          public long getOffset()

      Get the offset into the file of this object

    - #### setDigestable

          public void setDigestable(boolean digestable)

      Set whether this Placeholder should return true from `isDigestable()`

    - #### clone

          protected Object clone()

      Overrides:
        `clone` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001-2015 Big Faceless Organization